import request from "@/http/request";

// // 登录方法
// export function login(username, password, code, uuid) {
//     const data = {
//         username,
//         password,
//         code,
//         uuid
//     }
//     return request({
//         url: '/login',
//         headers: {
//             isToken: false
//         },
//         method: 'post',
//         data: data
//     })
// }

// // 注册方法
// export function register(data) {
//     return request({
//         url: '/register',
//         headers: {
//             isToken: false
//         },
//         method: 'post',
//         data: data
//     })
// }

// // 获取用户详细信息
// export function getInfo() {
//     return request({
//         url: '/getInfo',
//         method: 'get'
//     })
// }

// // 退出方法
// export function logout() {
//     return request({
//         url: '/logout',
//         method: 'post'
//     })
// }

// // 获取验证码
// export function getCodeImg() {
//     return request({
//         url: '/captchaImage',
//         headers: {
//             isToken: false
//         },
//         method: 'get',
//         timeout: 20000
//     })
// }

export function getUserList(params) {
    return request({
        url: '/user/getUserList',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function getRoleList(params) {
    return request({
        url: '/user/getRoleList',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function getPermissionList(params) {
    return request({
        url: '/user/getPermissionList',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function updateRoleInfo(params) {
    return request({
        url: '/user/updateRoleInfo',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function deleteRoleInfo(params) {
    return request({
        url: '/user/deleteRoleInfo',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function addRoleInfo(params) {
    return request({
        url: '/user/addRoleInfo',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function getRoleOptions(params) {
    return request({
        url: '/user/getRoleOptions',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function updateUserInfo(params) {
    return request({
        url: '/user/updateUserInfo',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function addUserInfo(params) {
    return request({
        url: '/user/addUserInfo',
        method: 'post',
        data: params,
        timeout: 5000
    })
}

export function deleteUserInfo(params) {
    return request({
        url: '/user/deleteUserInfo',
        method: 'post',
        data: params,
        timeout: 5000
    })
}